"use client";

import RegisterPage from "@/components/register";
import VerificationPage from "@/components/register/verificationPage";
import LogInPage from "@/components/register/LogInPage";
import { useState } from "react";

function ContentVerify() {
  const [isSendMsg, setIsSendMsg] = useState(false);

  return (
    <RegisterPage>
      {isSendMsg ? (
        <VerificationPage
          setIsSendMsg={setIsSendMsg}
          link={`/account/${localStorage.getItem("doctor-id")}`}
        />
      ) : (
        <LogInPage setIsSendMsg={setIsSendMsg} />
      )}
    </RegisterPage>
  );
}

export default ContentVerify;
